hwd hwd - 1 month ago 69
Android Question

Firebase Error cannot access zzanb after using play-services-xxx:9.8.00

I got the below message when I use newest version of com.google.android.gms:play-services-xxx:9.8.00

Error:(32, 28) error: cannot access zzanb
class file for com.google.android.gms.internal.zzanb not found


The error was caused by invoking statement:
FirebaseAuth.getInstance().getCurrentUser().getUid();


How can I fix this problem?
Thank you.

UPDATE: Problem was solved

The newest updated of firebase version 9.8.00 is compatible with the google-service version 9.8.00. Now, everything works correctly.

Answer

9.8.00 was an accidental early release. Please don't use it. If you happened to update your Android tools over the weekend of October 22-23, you may have accidentally gotten this update. To remove it, simply uninstall and reinstall the Google Repository tool.

Comments